# Uses of Enum Class
org.apache.lucene.index.DocValuesSkipIndexType

Packages that use DocValuesSkipIndexType
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of DocValuesSkipIndexType in org.apache.lucene.document

  Methods in org.apache.lucene.document that return DocValuesSkipIndexType
  Modifier and Type
  Method
  Description
  `DocValuesSkipIndexType`
  FieldType.`docValuesSkipIndexType()`
  Methods in org.apache.lucene.document with parameters of type DocValuesSkipIndexType
  Modifier and Type
  Method
  Description
  `void`
  FieldType.`setDocValuesSkipIndexType(DocValuesSkipIndexType docValuesSkipIndex)`
  Set whether to enable a skip index for doc values on this field.

- ## Uses of DocValuesSkipIndexType in org.apache.lucene.index

  Methods in org.apache.lucene.index that return DocValuesSkipIndexType
  Modifier and Type
  Method
  Description
  `DocValuesSkipIndexType`
  FieldInfo.`docValuesSkipIndexType()`
  Returns true if, and only if, this field has a skip index.
  `DocValuesSkipIndexType`
  IndexableFieldType.`docValuesSkipIndexType()`
  Whether a skip index for doc values should be created on this field.
  `static DocValuesSkipIndexType`
  DocValuesSkipIndexType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DocValuesSkipIndexType[]`
  DocValuesSkipIndexType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.index with parameters of type DocValuesSkipIndexType
  Modifier
  Constructor
  Description
  ``
  `FieldInfo(String name, int number, boolean storeTermVector, boolean omitNorms, boolean storePayloads, IndexOptions indexOptions, DocValuesType docValues, DocValuesSkipIndexType docValuesSkipIndex, long dvGen, Map<String,String> attributes, int pointDimensionCount, int pointIndexDimensionCount, int pointNumBytes, int vectorDimension, VectorEncoding vectorEncoding, VectorSimilarityFunction vectorSimilarityFunction, boolean softDeletesField, boolean isParentField)`
  Sole constructor.